varying vec2 v_texCoord;
varying vec4 v_fragmentColor;

uniform vec3 u_outlineColor;
uniform float u_threshold;
uniform float u_radius;

vec4 getColor(float cosv,float sinv)
{  
    return texture2D(CC_Texture0, vec2(v_texCoord.x + u_radius * cosv,v_texCoord.y + u_radius * sinv));
}

void main()
{
    vec4 accum = vec4(0.0);
   
    accum += getColor(1.0,0.0);
    accum += getColor(0.866,0.5);  
    accum += getColor(0.5,0.866);  
    accum += getColor(0.0,1.0);  
    accum += getColor(-0.5,0.866);  
    accum += getColor(-0.866,0.5);  
    accum += getColor(-0.1,0.0);  
    accum += getColor(-0.866,-0.5);  
    accum += getColor(-0.5,-0.866);  
    accum += getColor(0.0,-1.0);  
    accum += getColor(0.5,-0.866);  
    accum += getColor(0.866,-0.5);
    
    accum *= u_threshold;
    accum.rgb =  u_outlineColor * accum.a;
    accum.a = 1.25 * (accum.r + accum.g + accum.b);

    gl_FragColor = accum;
}

