/*
  Created by guanghui on 4/8/14.
http://www.idevgames.com/forums/thread-3010.html
*/

varying vec2 v_texCoord;
varying vec4 v_fragmentColor;

uniform vec3 u_outlineColor;
uniform float u_threshold;
uniform float u_radius;

vec4 getColor(int index,float cosv,float sinv)
{  
    return texture2D(CC_Texture0, vec2(v_texCoord.x + u_radius * cosv,v_texCoord.y + u_radius * sinv));
}

void main()
{
    vec4 accum = vec4(0.0);
    vec4 normal = vec4(0.0);
    
    normal = texture2D(CC_Texture0, vec2(v_texCoord.x, v_texCoord.y));
    
    accum += getColor(0,1.0,0.0);
    accum += getColor(1,0.866,0.5);  
    accum += getColor(2,0.5,0.866);  
    accum += getColor(3,0.0,1.0);  
    accum += getColor(4,-0.5,0.866);  
    accum += getColor(5,-0.866,0.5);  
    accum += getColor(6,-0.1,0.0);  
    accum += getColor(7,-0.866,-0.5);  
    accum += getColor(8,-0.5,-0.866);  
    accum += getColor(9,0.0,-1.0);  
    accum += getColor(10,0.5,-0.866);  
    accum += getColor(11,0.866,-0.5); 
    
    accum *= u_threshold;
    accum.rgb =  u_outlineColor * accum.a;
    accum.a = 1.25 * (accum.r + accum.g + accum.b);
    
	float a = normal.a + 0.2;
	a = min(a,1.0);

    normal = ( accum * (1.0 - a)) + (normal * a);
    
    gl_FragColor = v_fragmentColor * normal;
}

