varying vec2 v_texCoord;
varying vec4 v_fragmentColor;

uniform float _SampleStrength;

void main()
{
	vec2 dir = v_texCoord - 0.5; 
    float dist = sqrt(dir.x * dir.x + dir.y * dir.y);
    dir = dir / dist;

    vec4 color = texture2D(CC_Texture0,v_texCoord);
	vec4 sum = color;

	sum = sum + texture2D(CC_Texture0,v_texCoord + dir * -0.037);
    sum = sum + texture2D(CC_Texture0,v_texCoord + dir * -0.021);
    sum = sum + texture2D(CC_Texture0,v_texCoord + dir * -0.014);
    sum = sum + texture2D(CC_Texture0,v_texCoord + dir * -0.006);
    sum = sum + texture2D(CC_Texture0,v_texCoord + dir * 0.006);
    sum = sum + texture2D(CC_Texture0,v_texCoord + dir * 0.014);
    sum = sum + texture2D(CC_Texture0,v_texCoord + dir * 0.021);
    sum = sum + texture2D(CC_Texture0,v_texCoord + dir * 0.037);
    sum = sum + texture2D(CC_Texture0,v_texCoord + dir * 0.045);
    sum = sum + texture2D(CC_Texture0,v_texCoord + dir * 0.053);

    sum *= 1.0/11.0;

    //距离越远模糊越大
	float t = dist * _SampleStrength;
	t = clamp(t,0.0,1.0);
	gl_FragColor = mix(color,sum,t);
    gl_FragColor.a = v_fragmentColor.a;
}